Bug 218678 - [new port] net/gobgp: Add a new port GoBGP, which is a BGP routing daemon implemented in golang.
Summary: [new port] net/gobgp: Add a new port GoBGP, which is a BGP routing daemon imp...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-04-15 16:19 UTC by nork
Modified: 2018-02-27 18:20 UTC (History)
3 users (show)

See Also:


Attachments
gobgp.shar (14.32 KB, text/plain)
2017-04-15 16:19 UTC, nork
no flags Details
net/gobgp: New port (1.28) (18.49 KB, patch)
2018-02-10 16:37 UTC, John W. O'Brien
john: maintainer-approval? (nork)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nork 2017-04-15 16:19:10 UTC
Created attachment 181814 [details]
gobgp.shar

Add a new port GoBGP, which is a BGP routing daemon implemented in golang.

GoBGP is an open source BGP implementation designed from scratch
for modern environment and implemented in a modern programming
language, the Go Programming Language.

WWW: https://github.com/osrg/gobgp
Comment 1 John W. O'Brien 2018-02-10 16:37:53 UTC
Created attachment 190484 [details]
net/gobgp: New port (1.28)

Refresh new port to latest version (1.28).

QA
==

portlint: OK
poudriere: OK -- testport
Comment 2 Kurt Jaeger freebsd_committer 2018-02-27 06:29:29 UTC
testbuild@work
Comment 3 Kurt Jaeger freebsd_committer 2018-02-27 08:53:58 UTC
testbuilds are fine. Pending runtest
Comment 4 Kurt Jaeger freebsd_committer 2018-02-27 18:19:58 UTC
Comitted, thanks. Very cool!
Comment 5 commit-hook freebsd_committer 2018-02-27 18:20:57 UTC
A commit references this bug:

Author: pi
Date: Tue Feb 27 18:19:55 UTC 2018
New revision: 463150
URL: https://svnweb.freebsd.org/changeset/ports/463150

Log:
  New port: net/gobgp

  GoBGP: BGP implementation in Go

  GoBGP is an open source BGP implementation designed from scratch
  for modern environment and implemented in a modern programming
  language, the Go Programming Language.

  WWW: https://github.com/osrg/gobgp

  PR:		218678
  Submitted by:	nork@ninth-nine.com, John W. O'Brien <john@saltant.com>

Changes:
  head/net/Makefile
  head/net/gobgp/
  head/net/gobgp/Makefile
  head/net/gobgp/distinfo
  head/net/gobgp/files/
  head/net/gobgp/files/gobgpd.in
  head/net/gobgp/files/patch-server_sockopt__bsd.go
  head/net/gobgp/files/patch-server_sockopt__openbsd.go
  head/net/gobgp/pkg-descr